Selection API

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Selection API and the translation is 80% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano
(October 2019) Do not edit this page. The information is incomplete and outdated. For the latest API, see the autogenerated API documentation, or generate the documentation yourself, see Source documentation.


El submódulo de selección es parte del módulo FreeCADGui. Ejemplo:

import FreeCADGui
sel = FreeCADGui.Selection.getSelection()
Method.png addSelection ( FreeCAD.Object )

Descripción: Añade un objeto a la selección

Devuelve:


Method.png clearSelection ( [string] )

Descripción: Limpia la selección del nombre del documento dado. Si no se da ningún documento la selección completa es limpiada.

Devuelve:


Method.png getSelection ( [string] )

Descripción: Devuelve una lista de objetos seleccionados para un nombre de documento dado. Si no se da ningún documento se devuelve la selección completa.

Devuelve: Una lista de objetos


Method.png isSelected ( FreeCAD.Object )

Descripción: Comprueba si un objeto dado está seleccionado

Devuelve:


Method.png removeSelection ( FreeCAD.Object )

Descripción: Elimina un objeto de la selección

Devuelve: